#ifndef __DAV_INOUT_FILTER_H__
#define __DAV_INOUT_FILTER_H__


int dav_input_filter(ap_filter_t *f, apr_bucket_brigade *bb,
	ap_input_mode_t mode, apr_read_type_e block, apr_off_t readbytes);


int dav_bc_output_filter(ap_filter_t *f, apr_bucket_brigade *bb);

#endif // __DAV_INOUT_FILTER_H___
